import React from 'react';
import { PropsWithMetadata, ValidationStatus } from '@highlight-ui/utils-commons';
export declare type FileListItem = {
    canDelete?: boolean;
    downloadUrl?: string;
    filename: string;
    id: string | number;
    previewUrl?: string;
    validationStatus?: ValidationStatus;
    validationMessage?: string;
};
declare type VariantProps = {
    /** Allows providing a variant for the file list */
    variant?: 'default';
    /** Allows providing a list of selected files */
    selectedItems?: never;
    /** Allows providing a callback for when selecting a file */
    onSelect?: never;
} | {
    variant: 'selectable';
    selectedItems: (string | number)[];
    onSelect: (id: string | number) => void;
};
export declare type FileListProps = PropsWithMetadata<{
    /** Allows providing a custom class name */
    className?: string;
    /** Allows providing a a list of files */
    files: FileListItem[];
    /** Allows providing a callback for when deleting a file */
    onDelete?: (id: string | number) => void;
} & VariantProps>;
export declare const FileList: React.ForwardRefExoticComponent<FileListProps & React.RefAttributes<HTMLDivElement>>;
export {};
